> ## Documentation Index
> Fetch the complete documentation index at: https://docs.timbrix.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Deny authorization request

> ⚠️ SECURITY: User denies OAuth authorization request. Returns error information for client redirect.



## OpenAPI

````yaml https://api.timbrix.mx/api/openapi.json post /oauth/authorize/deny
openapi: 3.0.0
info:
  title: Timbrix API
  description: >-
    API de facturación electrónica CFDI 4.0 para México, con servidor OAuth2
    para gestionar organizaciones, miembros y webhooks. Compatible con agentes
    de IA — ver la extensión `x-ai-agent-friendly` en la raíz de esta spec.


    REST API with OAuth2 server for managing organizations, members, and
    webhooks.
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: organizations
    description: Organization management endpoints
  - name: oauth
    description: OAuth2 authentication and authorization
  - name: webhooks
    description: Webhook configuration and delivery
  - name: users
    description: User information endpoints
  - name: api-keys
    description: API Keys management and validation
paths:
  /oauth/authorize/deny:
    post:
      tags:
        - oauth
      summary: Deny authorization request
      description: >-
        ⚠️ SECURITY: User denies OAuth authorization request. Returns error
        information for client redirect.
      operationId: OAuthController_denyAuthorization
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DenyAuthorizationDto'
      responses:
        '200':
          description: >-
            Authorization denied. Returns error, error_description, state, and
            redirect_uri.
        '401':
          description: Authentication required.
      security:
        - bearer: []
components:
  schemas:
    DenyAuthorizationDto:
      type: object
      properties:
        clientId:
          type: string
          description: OAuth application client ID
          example: app_abc123...
        redirectUri:
          type: string
          description: Redirect URI to return the error
          example: https://example.com/oauth/callback
        state:
          type: string
          description: State parameter to return with error
          example: random_state_abc123
      required:
        - clientId
        - redirectUri
        - state
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````